PATH:
usr
/
bin
#!/bin/sh # Copyright (C) 2011 Canonical Ltd. # Copyright (C) 2013 Hewlett-Packard Development Company, L.P. # # Authors: Scott Moser <smoser@canonical.com> # Juerg Haefliger <juerg.haefliger@hp.com> # # This program is free software: you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the Free Software Foundation, version 3 of the License. # # This program is distributed in the hope that it will be useful, # but WITHOUT ANY WARRANTY; without even the implied warranty of # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the # GNU General Public License for more details. # # You should have received a copy of the GNU General Public License # along with this program. If not, see <http://www.gnu.org/licenses/>. # the fudge factor. if within this many bytes dont bother FUDGE=${GROWPART_FUDGE:-$((1024*1024))} TEMP_D="" RESTORE_FUNC="" RESTORE_HUMAN="" VERBOSITY=0 DISK="" PART="" PT_UPDATE=false DRY_RUN=0 SFDISK_VERSION="" SFDISK_2_26="22600" SFDISK_V_WORKING_GPT="22603" MBR_BACKUP="" GPT_BACKUP="" _capture="" error() { echo "$@" 1>&2 } fail() { [ $# -eq 0 ] || echo "FAILED:" "$@" exit 2 } nochange() { echo "NOCHANGE:" "$@" exit 1 } changed() { echo "CHANGED:" "$@" exit 0 } change() { echo "CHANGE:" "$@" exit 0 } cleanup() { if [ -n "${RESTORE_FUNC}" ]; then error "***** WARNING: Resize failed, attempting to revert ******" if ${RESTORE_FUNC} ; then error "***** Appears to have gone OK ****" else error "***** FAILED! ******" if [ -n "${RESTORE_HUMAN}" -a -f "${RESTORE_HUMAN}" ]; then error "**** original table looked like: ****" cat "${RESTORE_HUMAN}" 1>&2 else error "We seem to have not saved the partition table!" fi fi fi [ -z "${TEMP_D}" -o ! -d "${TEMP_D}" ] || rm -Rf "${TEMP_D}" } debug() { local level=${1} shift [ "${level}" -gt "${VERBOSITY}" ] && return if [ "${DEBUG_LOG}" ]; then echo "$@" >>"${DEBUG_LOG}" else error "$@" fi } debugcat() { local level="$1" shift; [ "${level}" -gt "$VERBOSITY" ] && return if [ "${DEBUG_LOG}" ]; then cat "$@" >>"${DEBUG_LOG}" else cat "$@" 1>&2 fi } mktemp_d() { # just a mktemp -d that doens't need mktemp if its not there. _RET=$(mktemp -d "${TMPDIR:-/tmp}/${0##*/}.XXXXXX" 2>/dev/null) && return _RET=$(umask 077 && t="${TMPDIR:-/tmp}/${0##*/}.$$" && mkdir "${t}" && echo "${t}") return } Usage() { cat <<EOF ${0##*/} disk partition rewrite partition table so that partition takes up all the space it can options: -h | --help print Usage and exit --fudge F if part could be resized, but change would be less than 'F' bytes, do not resize (default: ${FUDGE}) -N | --dry-run only report what would be done, show new 'sfdisk -d' -v | --verbose increase verbosity / debug -u | --update R update the the kernel partition table info after growing this requires kernel support and 'partx --update' R is one of: - 'auto' : [default] update partition if possible - 'force' : try despite sanity checks (fail on failure) - 'off' : do not attempt - 'on' : fail if sanity checks indicate no support Example: - ${0##*/} /dev/sda 1 Resize partition 1 on /dev/sda EOF } bad_Usage() { Usage 1>&2 error "$@" exit 2 } sfdisk_restore_legacy() { sfdisk --no-reread "${DISK}" -I "${MBR_BACKUP}" } sfdisk_restore() { # files are named: sfdisk-<device>-<offset>.bak local f="" offset="" fails=0 for f in "${MBR_BACKUP}"*.bak; do [ -f "$f" ] || continue offset=${f##*-} offset=${offset%.bak} [ "$offset" = "$f" ] && { error "WARN: confused by file $f"; continue; } dd "if=$f" "of=${DISK}" seek=$(($offset)) bs=1 conv=notrunc || { error "WARN: failed restore from $f"; fails=$(($fails+1)); } done return $fails } sfdisk_worked_but_blkrrpart_failed() { local ret="$1" output="$2" # exit code found was just 1, but dont insist on that #[ $ret -eq 1 ] || return 1 # Successfully wrote the new partition table grep -qi "Success.* wrote.* new.* partition" "$output" && grep -qi "BLKRRPART: Device or resource busy" "$output" return } get_sfdisk_version() { # set SFDISK_VERSION to MAJOR*10000+MINOR*100+MICRO local out oifs="$IFS" ver="" [ -n "$SFDISK_VERSION" ] && return 0 # expected output: sfdisk from util-linux 2.25.2 out=$(sfdisk --version) || { error "failed to get sfdisk version"; return 1; } set -- $out ver=$4 case "$ver" in [0-9]*.[0-9]*.[0-9]|[0-9].[0-9]*) IFS="."; set -- $ver; IFS="$oifs" SFDISK_VERSION=$(($1*10000+$2*100+${3:-0})) return 0;; *) error "unexpected output in sfdisk --version [$out]" return 1;; esac } resize_sfdisk() { local humanpt="${TEMP_D}/recovery" local mbr_backup="${TEMP_D}/orig.save" local restore_func="" local format="$1" local change_out=${TEMP_D}/change.out local dump_out=${TEMP_D}/dump.out local new_out=${TEMP_D}/new.out local dump_mod=${TEMP_D}/dump.mod local tmp="${TEMP_D}/tmp.out" local err="${TEMP_D}/err.out" local mbr_max_512="4294967296" local pt_start pt_size pt_end max_end new_size change_info dpart local sector_num sector_size disk_size tot out rqe sfd_list sfdisk --list --unit=S "$DISK" >"$tmp" || fail "failed: sfdisk --list $DISK" if [ "${SFDISK_VERSION}" -lt ${SFDISK_2_26} ]; then # exected output contains: Units: sectors of 512 bytes, ... out=$(awk '$1 == "Units:" && $5 ~ /bytes/ { print $4 }' "$tmp") || fail "failed to read sfdisk output" if [ -z "$out" ]; then error "WARN: sector size not found in sfdisk output, assuming 512" sector_size=512 else sector_size="$out" fi local _w _cyl _w1 _heads _w2 sectors _w3 t s # show-size is in units of 1024 bytes (same as /proc/partitions) t=$(sfdisk --show-size "${DISK}") || fail "failed: sfdisk --show-size $DISK" disk_size=$((t*1024)) sector_num=$(($disk_size/$sector_size)) msg="disk size '$disk_size' not evenly div by sector size '$sector_size'" [ "$((${disk_size}%${sector_size}))" -eq 0 ] || error "WARN: $msg" restore_func=sfdisk_restore_legacy else # --list first line output: # Disk /dev/vda: 20 GiB, 21474836480 bytes, 41943040 sectors local _x read _x _x _x _x disk_size _x sector_num _x < "$tmp" sector_size=$((disk_size/$sector_num)) restore_func=sfdisk_restore fi debug 1 "$sector_num sectors of $sector_size. total size=${disk_size} bytes" [ $(($disk_size/512)) -gt $mbr_max_512 ] && debug 1 "WARN: disk is larger than 2TB. additional space will go unused." rqe sfd_dump sfdisk --unit=S --dump "${DISK}" >"${dump_out}" || fail "failed to dump sfdisk info for ${DISK}" RESTORE_HUMAN="$dump_out" { echo "## sfdisk --unit=S --dump ${DISK}" cat "${dump_out}" } >"$humanpt" [ $? -eq 0 ] || fail "failed to save sfdisk -d output" RESTORE_HUMAN="$humanpt" debugcat 1 "$humanpt" sed -e 's/,//g; s/start=/start /; s/size=/size /' "${dump_out}" \ >"${dump_mod}" || fail "sed failed on dump output" dpart="${DISK}${PART}" # disk and partition number if [ -b "${DISK}p${PART}" -a "${DISK%[0-9]}" != "${DISK}" ]; then # for block devices that end in a number (/dev/nbd0) # the partition is "<name>p<partition_number>" (/dev/nbd0p1) dpart="${DISK}p${PART}" elif [ "${DISK#/dev/loop[0-9]}" != "${DISK}" ]; then # for /dev/loop devices, sfdisk output will be <name>p<number> # format also, even though there is not a device there. dpart="${DISK}p${PART}" fi pt_start=$(awk '$1 == pt { print $4 }' "pt=${dpart}" <"${dump_mod}") && pt_size=$(awk '$1 == pt { print $6 }' "pt=${dpart}" <"${dump_mod}") && [ -n "${pt_start}" -a -n "${pt_size}" ] && pt_end=$((${pt_size}+${pt_start})) || fail "failed to get start and end for ${dpart} in ${DISK}" # find the minimal starting location that is >= pt_end max_end=$(awk '$3 == "start" { if($4 >= pt_end && $4 < min) { min = $4 } } END { printf("%s\n",min); }' \ min=${sector_num} pt_end=${pt_end} "${dump_mod}") && [ -n "${max_end}" ] || fail "failed to get max_end for partition ${PART}" mbr_max_sectors=$((mbr_max_512*$((sector_size/512)))) if [ "$max_end" -gt "$mbr_max_sectors" ]; then max_end=$mbr_max_sectors fi if [ "$format" = "gpt" ]; then # sfdisk respects 'last-lba' in input, and complains about # partitions that go past that. without it, it does the right thing. sed -i '/^last-lba:/d' "$dump_out" || fail "failed to remove last-lba from output" fi local gpt_second_size="33" if [ "${max_end}" -gt "$((${sector_num}-${gpt_second_size}))" ]; then # if mbr allow subsequent conversion to gpt without shrinking the # partition. safety net at cost of 33 sectors, seems reasonable. # if gpt, we can't write there anyway. debug 1 "padding ${gpt_second_size} sectors for gpt secondary header" max_end=$((${sector_num}-${gpt_second_size})) fi debug 1 "max_end=${max_end} tot=${sector_num} pt_end=${pt_end}" \ "pt_start=${pt_start} pt_size=${pt_size}" [ $((${pt_end})) -eq ${max_end} ] && nochange "partition ${PART} is size ${pt_size}. it cannot be grown" [ $((${pt_end}+(${FUDGE}/$sector_size))) -gt ${max_end} ] && nochange "partition ${PART} could only be grown by" \ "$((${max_end}-${pt_end})) [fudge=$((${FUDGE}/$sector_size))]" # now, change the size for this partition in ${dump_out} to be the # new size new_size=$((${max_end}-${pt_start})) sed "\|^\s*${dpart} |s/\(.*\)${pt_size},/\1${new_size},/" "${dump_out}" \ >"${new_out}" || fail "failed to change size in output" change_info="partition=${PART} start=${pt_start}" change_info="${change_info} old: size=${pt_size} end=${pt_end}" change_info="${change_info} new: size=${new_size} end=${max_end}" if [ ${DRY_RUN} -ne 0 ]; then echo "CHANGE: ${change_info}" { echo "# === old sfdisk -d ===" cat "${dump_out}" echo "# === new sfdisk -d ===" cat "${new_out}" } 1>&2 exit 0 fi MBR_BACKUP="${mbr_backup}" LANG=C sfdisk --no-reread "${DISK}" --force \ -O "${mbr_backup}" <"${new_out}" >"${change_out}" 2>&1 ret=$? [ $ret -eq 0 ] || RESTORE_FUNC="${restore_func}" if [ $ret -eq 0 ]; then : elif $PT_UPDATE && sfdisk_worked_but_blkrrpart_failed "$ret" "${change_out}"; then # if the command failed, but it looks like only because # the device was busy and we have pt_update, then go on debug 1 "sfdisk failed, but likely only because of blkrrpart" else error "attempt to resize ${DISK} failed. sfdisk output below:" sed 's,^,| ,' "${change_out}" 1>&2 fail "failed to resize" fi rq pt_update pt_update "$DISK" "$PART" || fail "pt_resize failed" RESTORE_FUNC="" changed "${change_info}" # dump_out looks something like: ## partition table of /tmp/out.img #unit: sectors # #/tmp/out.img1 : start= 1, size= 48194, Id=83 #/tmp/out.img2 : start= 48195, size= 963900, Id=83 #/tmp/out.img3 : start= 1012095, size= 305235, Id=82 #/tmp/out.img4 : start= 1317330, size= 771120, Id= 5 #/tmp/out.img5 : start= 1317331, size= 642599, Id=83 #/tmp/out.img6 : start= 1959931, size= 48194, Id=83 #/tmp/out.img7 : start= 2008126, size= 80324, Id=83 } gpt_restore() { sgdisk -l "${GPT_BACKUP}" "${DISK}" } resize_sgdisk() { GPT_BACKUP="${TEMP_D}/pt.backup" local pt_info="${TEMP_D}/pt.info" local pt_pretend="${TEMP_D}/pt.pretend" local pt_data="${TEMP_D}/pt.data" local out="${TEMP_D}/out" local dev="disk=${DISK} partition=${PART}" local pt_start pt_end pt_size last pt_max code guid name new_size local old new change_info sector_size # Dump the original partition information and details to disk. This is # used in case something goes wrong and human interaction is required # to revert any changes. rqe sgd_info sgdisk "--info=${PART}" --print "${DISK}" >"${pt_info}" || fail "${dev}: failed to dump original sgdisk info" RESTORE_HUMAN="${pt_info}" sector_size=$(awk '$0 ~ /^Logical sector size:.*bytes/ { print $4 }' \ "$pt_info") && [ -n "$sector_size" ] || { sector_size=512 error "WARN: did not find sector size, assuming 512" } debug 1 "$dev: original sgdisk info:" debugcat 1 "${pt_info}" # Pretend to move the backup GPT header to the end of the disk and dump # the resulting partition information. We use this info to determine if # we have to resize the partition. rqe sgd_pretend sgdisk --pretend --move-second-header \ --print "${DISK}" >"${pt_pretend}" || fail "${dev}: failed to dump pretend sgdisk info" debug 1 "$dev: pretend sgdisk info" debugcat 1 "${pt_pretend}" # Extract the partition data from the pretend dump awk 'found { print } ; $1 == "Number" { found = 1 }' \ "${pt_pretend}" >"${pt_data}" || fail "${dev}: failed to parse pretend sgdisk info" # Get the start and end sectors of the partition to be grown pt_start=$(awk '$1 == '"${PART}"' { print $2 }' "${pt_data}") && [ -n "${pt_start}" ] || fail "${dev}: failed to get start sector" pt_end=$(awk '$1 == '"${PART}"' { print $3 }' "${pt_data}") && [ -n "${pt_end}" ] || fail "${dev}: failed to get end sector" # sgdisk start and end are inclusive. start 2048 length 10 ends at 2057. pt_end=$((pt_end+1)) pt_size="$((${pt_end} - ${pt_start}))" # Get the last usable sector last=$(awk '/last usable sector is/ { print $NF }' \ "${pt_pretend}") && [ -n "${last}" ] || fail "${dev}: failed to get last usable sector" # Find the minimal start sector that is >= pt_end pt_max=$(awk '{ if ($2 >= pt_end && $2 < min) { min = $2 } } END \ { print min }' min="${last}" pt_end="${pt_end}" \ "${pt_data}") && [ -n "${pt_max}" ] || fail "${dev}: failed to find max end sector" debug 1 "${dev}: pt_start=${pt_start} pt_end=${pt_end}" \ "pt_size=${pt_size} pt_max=${pt_max} last=${last}" # Check if the partition can be grown [ "${pt_end}" -eq "${pt_max}" ] && nochange "${dev}: size=${pt_size}, it cannot be grown" [ "$((${pt_end} + ${FUDGE}/${sector_size}))" -gt "${pt_max}" ] && nochange "${dev}: could only be grown by" \ "$((${pt_max} - ${pt_end})) [fudge=$((${FUDGE}/$sector_size))]" # The partition can be grown if we made it here. Get some more info # about it so we can do it properly. # FIXME: Do we care about the attribute flags? code=$(awk '/^Partition GUID code:/ { print $4 }' "${pt_info}") guid=$(awk '/^Partition unique GUID:/ { print $4 }' "${pt_info}") name=$(awk '/^Partition name:/ { gsub(/'"'"'/, "") ; \ if (NF >= 3) print substr($0, index($0, $3)) }' "${pt_info}") [ -n "${code}" -a -n "${guid}" ] || fail "${dev}: failed to parse sgdisk details" debug 1 "${dev}: code=${code} guid=${guid} name='${name}'" local wouldrun="" [ "$DRY_RUN" -ne 0 ] && wouldrun="would-run" # Calculate the new size of the partition new_size=$((${pt_max} - ${pt_start})) change_info="partition=${PART} start=${pt_start}" change_info="${change_info} old: size=${pt_size} end=${pt_end}" change_info="${change_info} new: size=${new_size} end=${pt_max}" # Backup the current partition table, we're about to modify it rq sgd_backup $wouldrun sgdisk "--backup=${GPT_BACKUP}" "${DISK}" || fail "${dev}: failed to backup the partition table" # Modify the partition table. We do it all in one go (the order is # important!): # - move the GPT backup header to the end of the disk # - delete the partition # - recreate the partition with the new size # - set the partition code # - set the partition GUID # - set the partition name rq sgdisk_mod $wouldrun sgdisk --move-second-header "--delete=${PART}" \ "--new=${PART}:${pt_start}:$((pt_max-1))" \ "--typecode=${PART}:${code}" \ "--partition-guid=${PART}:${guid}" \ "--change-name=${PART}:${name}" "${DISK}" && rq pt_update $wouldrun pt_update "$DISK" "$PART" || { RESTORE_FUNC=gpt_restore fail "${dev}: failed to repartition" } # Dry run [ "${DRY_RUN}" -ne 0 ] && change "${change_info}" changed "${change_info}" } kver_to_num() { local kver="$1" maj="" min="" mic="0" kver=${kver%%-*} maj=${kver%%.*} min=${kver#${maj}.} min=${min%%.*} mic=${kver#${maj}.${min}.} [ "$kver" = "$mic" ] && mic=0 _RET=$(($maj*1000*1000+$min*1000+$mic)) } kver_cmp() { local op="$2" n1="" n2="" kver_to_num "$1" n1="$_RET" kver_to_num "$3" n2="$_RET" [ $n1 $op $n2 ] } rq() { # runquieterror(label, command) # gobble stderr of a command unless it errors local label="$1" ret="" efile="" efile="$TEMP_D/$label.err" shift; local rlabel="running" [ "$1" = "would-run" ] && rlabel="would-run" && shift local cmd="" x="" for x in "$@"; do [ "${x#* }" != "$x" -o "${x#* \"}" != "$x" ] && x="'$x'" cmd="$cmd $x" done cmd=${cmd# } debug 2 "$rlabel[$label][$_capture]" "$cmd" [ "$rlabel" = "would-run" ] && return 0 if [ "${_capture}" = "erronly" ]; then "$@" 2>"$TEMP_D/$label.err" ret=$? else "$@" >"$TEMP_D/$label.err" 2>&1 ret=$? fi if [ $ret -ne 0 ]; then error "failed [$label:$ret]" "$@" cat "$efile" 1>&2 fi return $ret } rqe() { local _capture="erronly" rq "$@" } verify_ptupdate() { local input="$1" found="" reason="" kver="" # we can always satisfy 'off' if [ "$input" = "off" ]; then _RET="false"; return 0; fi if command -v partx >/dev/null 2>&1; then local out="" ret=0 out=$(partx --help 2>&1) ret=$? if [ $ret -eq 0 ]; then echo "$out" | grep -q -- --update || { reason="partx has no '--update' flag in usage." found="off" } else reason="'partx --help' returned $ret. assuming it is old." found="off" fi else reason="no 'partx' command" found="off" fi if [ -z "$found" ]; then if [ "$(uname)" != "Linux" ]; then reason="Kernel is not Linux per uname." found="off" fi fi if [ -z "$found" ]; then kver=$(uname -r) || debug 1 "uname -r failed!" if ! kver_cmp "${kver-0.0.0}" -ge 3.8.0; then reason="Kernel '$kver' < 3.8.0." found="off" fi fi if [ -z "$found" ]; then _RET="true" return 0 fi case "$input" in on) error "$reason"; return 1;; auto) _RET="false"; debug 1 "partition update disabled: $reason" return 0;; force) _RET="true" error "WARNING: ptupdate forced on even though: $reason" return 0;; esac error "unknown input '$input'"; return 1; } pt_update() { local dev="$1" part="$2" update="${3:-$PT_UPDATE}" if ! $update; then return 0 fi # partx only works on block devices (do not run on file) [ -b "$dev" ] || return 0 partx --update --nr "$part" "$dev" } has_cmd() { command -v "${1}" >/dev/null 2>&1 } resize_sgdisk_gpt() { resize_sgdisk gpt } resize_sgdisk_dos() { fail "unable to resize dos label with sgdisk" } resize_sfdisk_gpt() { resize_sfdisk gpt } resize_sfdisk_dos() { resize_sfdisk dos } get_table_format() { local out="" disk="$1" if has_cmd blkid && out=$(blkid -o value -s PTTYPE "$disk") && [ "$out" = "dos" -o "$out" = "gpt" ]; then _RET="$out" return fi _RET="dos" if [ ${SFDISK_VERSION} -lt ${SFDISK_2_26} ] && out=$(sfdisk --id --force "$disk" 1 2>/dev/null); then if [ "$out" = "ee" ]; then _RET="gpt" else _RET="dos" fi return elif out=$(LANG=C sfdisk --list "$disk"); then out=$(echo "$out" | sed -e '/Disklabel type/!d' -e 's/.*: //') case "$out" in gpt|dos) _RET="$out";; *) error "WARN: unknown label $out";; esac fi } get_resizer() { local format="$1" user=${2:-"auto"} case "$user" in sgdisk) _RET="resize_sgdisk_$format"; return;; sfdisk) _RET="resize_sfdisk_$format"; return;; auto) :;; *) error "unexpected input: '$user'";; esac if [ "$format" = "dos" ]; then _RET="resize_sfdisk_dos" return 0 fi if [ "${SFDISK_VERSION}" -ge ${SFDISK_V_WORKING_GPT} ]; then # sfdisk 2.26.2 works for resize but loses type (LP: #1474090) _RET="resize_sfdisk_gpt" elif has_cmd sgdisk; then _RET="resize_sgdisk_$format" else error "no tools available to resize disk with '$format'" return 1 fi return 0 } pt_update="auto" resizer=${GROWPART_RESIZER:-"auto"} while [ $# -ne 0 ]; do cur=${1} next=${2} case "$cur" in -h|--help) Usage exit 0 ;; --fudge) FUDGE=${next} shift ;; -N|--dry-run) DRY_RUN=1 ;; -u|--update|--update=*) if [ "${cur#--update=}" != "$cur" ]; then next="${cur#--update=}" else shift fi case "$next" in off|auto|force|on) pt_update=$next;; *) fail "unknown --update option: $next";; esac ;; -v|--verbose) VERBOSITY=$(($VERBOSITY+1)) ;; --) shift break ;; -*) fail "unknown option ${cur}" ;; *) if [ -z "${DISK}" ]; then DISK=${cur} else [ -z "${PART}" ] || fail "confused by arg ${cur}" PART=${cur} fi ;; esac shift done [ -n "${DISK}" ] || bad_Usage "must supply disk and partition-number" [ -n "${PART}" ] || bad_Usage "must supply partition-number" has_cmd "sfdisk" || fail "sfdisk not found" get_sfdisk_version || fail [ -e "${DISK}" ] || fail "${DISK}: does not exist" [ "${PART#*[!0-9]}" = "${PART}" ] || fail "partition-number must be a number" verify_ptupdate "$pt_update" || fail PT_UPDATE=$_RET debug 1 "update-partition set to $PT_UPDATE" mktemp_d && TEMP_D="${_RET}" || fail "failed to make temp dir" trap cleanup 0 # EXIT - some shells may not like 'EXIT' but are ok with 0 # get the ID of the first partition to determine if it's MBR or GPT get_table_format "$DISK" || fail format=$_RET get_resizer "$format" "$resizer" || fail "failed to get a resizer for id '$id'" resizer=$_RET debug 1 "resizing $PART on $DISK using $resizer" "$resizer" # vi: ts=4 noexpandtab
[+]
..
[-] cp
[edit]
[-] cpio
[edit]
[-] captoinfo
[edit]
[-] csplit
[edit]
[-] clear
[edit]
[-] cut
[edit]
[-] gzip
[edit]
[-] infocmp
[edit]
[-] fmt
[edit]
[-] zcat
[edit]
[-] infotocap
[edit]
[-] fold
[edit]
[-] zcmp
[edit]
[-] reset
[edit]
[-] groups
[edit]
[-] tabs
[edit]
[-] test
[edit]
[-] tic
[edit]
[-] timeout
[edit]
[-] toe
[edit]
[-] head
[edit]
[-] znew
[edit]
[-] tput
[edit]
[-] hostid
[edit]
[-] tset
[edit]
[-] id
[edit]
[-] lua
[edit]
[-] alias
[edit]
[-] install
[edit]
[-] bash
[edit]
[-] join
[edit]
[-] luac
[edit]
[-] bashbug
[edit]
[-] link
[edit]
[-] unxz
[edit]
[-] bashbug-64
[edit]
[-] touch
[edit]
[-] bg
[edit]
[-] tr
[edit]
[-] cd
[edit]
[-] ln
[edit]
[-] xz
[edit]
[-] command
[edit]
[-] true
[edit]
[-] fc
[edit]
[-] truncate
[edit]
[-] fg
[edit]
[-] logname
[edit]
[-] getopts
[edit]
[-] ls
[edit]
[-] find
[edit]
[-] jobs
[edit]
[-] md5sum
[edit]
[-] read
[edit]
[-] tsort
[edit]
[-] sh
[edit]
[-] mkdir
[edit]
[-] umask
[edit]
[-] mkfifo
[edit]
[-] unalias
[edit]
[-] mknod
[edit]
[-] wait
[edit]
[-] mktemp
[edit]
[-] catchsegv
[edit]
[-] mv
[edit]
[-] idn
[edit]
[-] gencat
[edit]
[-] nice
[edit]
[-] cmp
[edit]
[-] getent
[edit]
[-] nl
[edit]
[-] diff
[edit]
[-] iconv
[edit]
[-] tty
[edit]
[-] ldd
[edit]
[-] nohup
[edit]
[-] locale
[edit]
[-] nproc
[edit]
[-] localedef
[edit]
[-] numfmt
[edit]
[-] makedb
[edit]
[-] od
[edit]
[-] gio
[edit]
[-] pldd
[edit]
[-] paste
[edit]
[-] rpcgen
[edit]
[-] pathchk
[edit]
[-] sotruss
[edit]
[-] pinky
[edit]
[-] sprof
[edit]
[-] pr
[edit]
[-] eqn
[edit]
[-] tzselect
[edit]
[-] printenv
[edit]
[-] getconf
[edit]
[-] printf
[edit]
[-] info
[edit]
[-] ptx
[edit]
[-] geqn
[edit]
[-] infokey
[edit]
[-] uname
[edit]
[-] awk
[edit]
[-] pwd
[edit]
[-] gpic
[edit]
[-] dgawk
[edit]
[-] readlink
[edit]
[-] gawk
[edit]
[-] realpath
[edit]
[-] igawk
[edit]
[-] rm
[edit]
[-] gtbl
[edit]
[-] pgawk
[edit]
[-] unexpand
[edit]
[-] sed
[edit]
[-] rmdir
[edit]
[-] egrep
[edit]
[-] runcon
[edit]
[-] fgrep
[edit]
[-] seq
[edit]
[-] neqn
[edit]
[-] grep
[edit]
[-] sha1sum
[edit]
[-] p11-kit
[edit]
[-] sha224sum
[edit]
[-] trust
[edit]
[-] sha256sum
[edit]
[-] ca-legacy
[edit]
[-] false
[edit]
[-] pic
[edit]
[-] update-ca-trust
[edit]
[-] uniq
[edit]
[-] [
[edit]
[-] sha384sum
[edit]
[-] arch
[edit]
[-] sha512sum
[edit]
[-] base64
[edit]
[-] shred
[edit]
[-] basename
[edit]
[-] unlink
[edit]
[-] cat
[edit]
[-] shuf
[edit]
[-] tbl
[edit]
[-] chcon
[edit]
[-] sleep
[edit]
[-] chgrp
[edit]
[-] sort
[edit]
[-] file
[edit]
[-] chmod
[edit]
[-] split
[edit]
[-] chown
[edit]
[-] stat
[edit]
[-] a2p
[edit]
[-] cksum
[edit]
[-] stdbuf
[edit]
[-] comm
[edit]
[-] date
[edit]
[-] users
[edit]
[-] dd
[edit]
[-] vdir
[edit]
[-] df
[edit]
[-] wc
[edit]
[-] dir
[edit]
[-] stty
[edit]
[-] h2ph
[edit]
[-] dircolors
[edit]
[-] sum
[edit]
[-] c2ph
[edit]
[-] dirname
[edit]
[-] who
[edit]
[-] du
[edit]
[-] sync
[edit]
[-] perl
[edit]
[-] echo
[edit]
[-] whoami
[edit]
[-] env
[edit]
[-] tac
[edit]
[-] psed
[edit]
[-] expand
[edit]
[-] tail
[edit]
[-] s2p
[edit]
[-] expr
[edit]
[-] tee
[edit]
[-] lz4
[edit]
[-] factor
[edit]
[-] xmlcatalog
[edit]
[-] yes
[edit]
[-] setup-nsssysinit
[edit]
[-] xmllint
[edit]
[-] setup-nsssysinit.sh
[edit]
[-] libtar
[edit]
[-] mail
[edit]
[-] size
[edit]
[-] gpg-error
[edit]
[-] mailx
[edit]
[-] which
[edit]
[-] Mail
[edit]
[-] gtar
[edit]
[-] xmlwf
[edit]
[-] nail
[edit]
[-] tar
[edit]
[-] sqlite3
[edit]
[-] nf-ct-list
[edit]
[-] gunzip
[edit]
[-] nf-ct-add
[edit]
[-] gzexe
[edit]
[-] nf-exp-add
[edit]
[-] zdiff
[edit]
[-] nf-log
[edit]
[-] zegrep
[edit]
[-] nf-exp-delete
[edit]
[-] zfgrep
[edit]
[-] nf-exp-list
[edit]
[-] zforce
[edit]
[-] nf-monitor
[edit]
[-] zgrep
[edit]
[-] nf-queue
[edit]
[-] zless
[edit]
[-] nl-addr-add
[edit]
[-] zmore
[edit]
[-] nl-addr-list
[edit]
[-] xzcat
[edit]
[-] nl-addr-delete
[edit]
[-] xzcmp
[edit]
[-] nl-fib-lookup
[edit]
[-] xzdec
[edit]
[-] nl-link-enslave
[edit]
[-] xzdiff
[edit]
[-] nl-link-ifindex2name
[edit]
[-] xzegrep
[edit]
[-] nl-link-name2ifindex
[edit]
[-] xzfgrep
[edit]
[-] nl-link-release
[edit]
[-] xzgrep
[edit]
[-] nl-list-caches
[edit]
[-] xzless
[edit]
[-] nl-link-set
[edit]
[-] xzmore
[edit]
[-] nl-link-stats
[edit]
[-] oldfind
[edit]
[-] nl-list-sockets
[edit]
[-] xargs
[edit]
[-] nl-neigh-delete
[edit]
[-] diff3
[edit]
[-] nl-monitor
[edit]
[-] sdiff
[edit]
[-] csslint-0.6
[edit]
[-] last
[edit]
[-] gapplication
[edit]
[-] nl-neigh-add
[edit]
[-] gdbus
[edit]
[-] unlz4
[edit]
[-] mesg
[edit]
[-] gio-querymodules-64
[edit]
[-] python2.7
[edit]
[-] ranlib
[edit]
[-] glib-compile-schemas
[edit]
[-] nl-neigh-list
[edit]
[-] gsettings
[edit]
[-] lz4c
[edit]
[-] nl-neightbl-list
[edit]
[-] update-mime-database
[edit]
[-] nl-route-add
[edit]
[-] pkg-config
[edit]
[-] nl-route-delete
[edit]
[-] gneqn
[edit]
[-] nl-route-get
[edit]
[-] gnroff
[edit]
[-] nl-route-list
[edit]
[-] groff
[edit]
[-] nl-rule-list
[edit]
[-] grops
[edit]
[-] nl-tctree-list
[edit]
[-] grotty
[edit]
[-] nl-util-addr
[edit]
[-] gsoelim
[edit]
[-] genl-ctrl-list
[edit]
[-] gtroff
[edit]
[-] nl-class-add
[edit]
[-] nroff
[edit]
[-] idiag-socket-details
[edit]
[-] post-grohtml
[edit]
[-] nl-class-delete
[edit]
[-] pre-grohtml
[edit]
[-] nl-class-list
[edit]
[-] preconv
[edit]
[-] nl-classid-lookup
[edit]
[-] soelim
[edit]
[-] nl-pktloc-lookup
[edit]
[-] troff
[edit]
[-] nl-cls-add
[edit]
[-] zsoelim
[edit]
[-] nl-cls-delete
[edit]
[-] hunspell
[edit]
[-] nl-cls-list
[edit]
[-] geoiplookup
[edit]
[-] pwmake
[edit]
[-] wall
[edit]
[-] geoiplookup6
[edit]
[-] nl-link-list
[edit]
[-] geoipupdate
[edit]
[-] nl-qdisc-add
[edit]
[-] testgdbm
[edit]
[-] nl-qdisc-delete
[edit]
[-] pod2man
[edit]
[-] nl-qdisc-list
[edit]
[-] pod2text
[edit]
[-] ar
[edit]
[-] gdb
[edit]
[-] perldoc
[edit]
[-] addr2line
[edit]
[-] piconv
[edit]
[-] as
[edit]
[-] less
[edit]
[-] pod2usage
[edit]
[-] c++filt
[edit]
[-] find2perl
[edit]
[-] dwp
[edit]
[-] curl
[edit]
[-] pl2pm
[edit]
[-] elfedit
[edit]
[-] pod2html
[edit]
[-] gprof
[edit]
[-] splain
[edit]
[-] ld.bfd
[edit]
[-] pstruct
[edit]
[-] nm
[edit]
[-] rpm
[edit]
[-] perl5.16.3
[edit]
[-] python2
[edit]
[-] pwscore
[edit]
[-] ex
[edit]
[-] perlbug
[edit]
[-] perlthanks
[edit]
[-] objdump
[edit]
[-] pydoc
[edit]
[-] objcopy
[edit]
[-] python
[edit]
[-] ld
[edit]
[-] rvi
[edit]
[-] lz4cat
[edit]
[-] readelf
[edit]
[-] strings
[edit]
[-] strip
[edit]
[-] ld.gold
[edit]
[-] rpm2cpio
[edit]
[-] whiptail
[edit]
[-] rpmdb
[edit]
[-] lastb
[edit]
[-] bzcat
[edit]
[-] cal
[edit]
[-] json_reformat
[edit]
[-] rpmkeys
[edit]
[-] json_verify
[edit]
[-] bzcmp
[edit]
[-] chfn
[edit]
[-] dnsdomainname
[edit]
[-] rpmquery
[edit]
[-] domainname
[edit]
[-] rpmverify
[edit]
[-] hostname
[edit]
[-] bzdiff
[edit]
[-] chrt
[edit]
[-] nisdomainname
[edit]
[-] bzgrep
[edit]
[-] chsh
[edit]
[-] ypdomainname
[edit]
[-] bzip2
[edit]
[-] col
[edit]
[-] iptables-xml
[edit]
[-] lchfn
[edit]
[-] envsubst
[edit]
[-] lchsh
[edit]
[-] gettext
[edit]
[-] passwd
[edit]
[-] gettext.sh
[edit]
[-] urlgrabber
[edit]
[-] msgattrib
[edit]
[-] keyctl
[edit]
[-] msgcat
[edit]
[-] rview
[edit]
[-] msgcmp
[edit]
[-] chacl
[edit]
[-] msgcomm
[edit]
[-] view
[edit]
[-] i386
[edit]
[-] msgconv
[edit]
[-] getfacl
[edit]
[-] msgen
[edit]
[-] setfacl
[edit]
[-] msgexec
[edit]
[-] attr
[edit]
[-] ipcs
[edit]
[-] msgfilter
[edit]
[-] getfattr
[edit]
[-] msgfmt
[edit]
[-] setfattr
[edit]
[-] msggrep
[edit]
[-] gmake
[edit]
[-] msghack
[edit]
[-] make
[edit]
[-] kill
[edit]
[-] msginit
[edit]
[-] openssl
[edit]
[-] msgmerge
[edit]
[-] pinentry
[edit]
[-] msgunfmt
[edit]
[-] gpg-agent
[edit]
[-] msguniq
[edit]
[-] pinentry-curses
[edit]
[-] ngettext
[edit]
[-] bzip2recover
[edit]
[-] look
[edit]
[-] recode-sr-latin
[edit]
[-] gpg
[edit]
[-] lsns
[edit]
[-] xgettext
[edit]
[-] gpg2
[edit]
[-] more
[edit]
[-] teamnl
[edit]
[-] gpg-connect-agent
[edit]
[-] certutil
[edit]
[-] gpg-zip
[edit]
[-] cmsutil
[edit]
[-] gpgconf
[edit]
[-] crlutil
[edit]
[-] gpgv
[edit]
[-] raw
[edit]
[-] modutil
[edit]
[-] gpgparsemail
[edit]
[-] pk12util
[edit]
[-] gpgsplit
[edit]
[-] berkeley_db47_svc
[edit]
[-] gpgv2
[edit]
[-] signver
[edit]
[-] watchgnupg
[edit]
[-] ssltap
[edit]
[-] yum
[edit]
[-] rev
[edit]
[-] pflags
[edit]
[-] lsscsi
[edit]
[-] chardetect
[edit]
[-] ndptool
[edit]
[-] pchrt
[edit]
[-] chage
[edit]
[-] ptaskset
[edit]
[-] gpasswd
[edit]
[-] gcore
[edit]
[-] bzless
[edit]
[-] su
[edit]
[-] gdb-add-index
[edit]
[-] lastlog
[edit]
[-] gstack
[edit]
[-] newgrp
[edit]
[-] pstack
[edit]
[-] sg
[edit]
[-] ul
[edit]
[-] lessecho
[edit]
[-] free
[edit]
[-] kmod
[edit]
[-] lesskey
[edit]
[-] pgrep
[edit]
[-] lesspipe.sh
[edit]
[-] pkill
[edit]
[-] db_archive
[edit]
[-] bzmore
[edit]
[-] ping
[edit]
[-] db_checkpoint
[edit]
[-] pmap
[edit]
[-] lsmd
[edit]
[-] db_deadlock
[edit]
[-] ps
[edit]
[-] xxd
[edit]
[-] db_dump
[edit]
[-] pwdx
[edit]
[-] chvt
[edit]
[-] db_dump185
[edit]
[-] aserver
[edit]
[-] open
[edit]
[-] db_hotbackup
[edit]
[-] skill
[edit]
[-] db_load
[edit]
[-] fipscheck
[edit]
[-] vdo
[edit]
[-] db_log_verify
[edit]
[-] slabtop
[edit]
[-] db_printlog
[edit]
[-] snice
[edit]
[-] db_recover
[edit]
[-] fipshmac
[edit]
[-] rvim
[edit]
[-] db_replicate
[edit]
[-] tload
[edit]
[-] db_stat
[edit]
[-] top
[edit]
[-] vim
[edit]
[-] db_tuner
[edit]
[-] vmstat
[edit]
[-] db_upgrade
[edit]
[-] uptime
[edit]
[-] db_verify
[edit]
[-] scriptreplay
[edit]
[-] bunzip2
[edit]
[-] w
[edit]
[-] vi
[edit]
[-] watch
[edit]
[-] chmem
[edit]
[-] colcrt
[edit]
[-] colrm
[edit]
[-] column
[edit]
[-] dmesg
[edit]
[-] eject
[edit]
[-] fallocate
[edit]
[-] findmnt
[edit]
[-] flock
[edit]
[-] getopt
[edit]
[-] hexdump
[edit]
[-] ionice
[edit]
[-] ipcmk
[edit]
[-] ipcrm
[edit]
[-] isosize
[edit]
[-] linux32
[edit]
[-] linux64
[edit]
[-] logger
[edit]
[-] login
[edit]
[-] lsblk
[edit]
[-] lscpu
[edit]
[-] lsipc
[edit]
[-] lslocks
[edit]
[-] lslogins
[edit]
[-] lsmem
[edit]
[-] mcookie
[edit]
[-] mount
[edit]
[-] mountpoint
[edit]
[-] namei
[edit]
[-] nsenter
[edit]
[-] prlimit
[edit]
[-] rename
[edit]
[-] renice
[edit]
[-] script
[edit]
[-] run-parts
[edit]
[-] setarch
[edit]
[-] crontab
[edit]
[-] setpriv
[edit]
[-] dbus-binding-tool
[edit]
[-] setsid
[edit]
[-] grub2-editenv
[edit]
[-] setterm
[edit]
[-] ssh-keygen
[edit]
[-] tailf
[edit]
[-] secon
[edit]
[-] taskset
[edit]
[-] sim_lsmplugin
[edit]
[-] umount
[edit]
[-] lsmcli
[edit]
[-] unshare
[edit]
[-] simc_lsmplugin
[edit]
[-] utmpdump
[edit]
[-] reporter-mantisbt
[edit]
[-] uuidgen
[edit]
[-] linux-boot-prober
[edit]
[-] wdctl
[edit]
[-] os-prober
[edit]
[-] whereis
[edit]
[-] grub2-file
[edit]
[-] write
[edit]
[-] grub2-menulst2cfg
[edit]
[-] x86_64
[edit]
[-] grub2-mkrelpath
[edit]
[-] dracut
[edit]
[-] grub2-render-label
[edit]
[-] lsinitrd
[edit]
[-] grub2-script-check
[edit]
[-] mkinitrd
[edit]
[-] kdumpctl
[edit]
[-] bootctl
[edit]
[-] grub2-fstest
[edit]
[-] busctl
[edit]
[-] grub2-glue-efi
[edit]
[-] coredumpctl
[edit]
[-] grub2-kbdcomp
[edit]
[-] hostnamectl
[edit]
[-] grub2-mkfont
[edit]
[-] journalctl
[edit]
[-] dbus-send
[edit]
[-] scp
[edit]
[-] kernel-install
[edit]
[-] grub2-mkimage
[edit]
[-] localectl
[edit]
[-] grub2-mklayout
[edit]
[-] loginctl
[edit]
[-] grub2-mknetdir
[edit]
[-] machinectl
[edit]
[-] grub2-mkrescue
[edit]
[-] systemctl
[edit]
[-] dbus-test-tool
[edit]
[-] systemd-analyze
[edit]
[-] dbus-daemon
[edit]
[-] nm-online
[edit]
[-] systemd-ask-password
[edit]
[-] grub2-mkstandalone
[edit]
[-] systemd-cat
[edit]
[-] dbus-uuidgen
[edit]
[-] sftp
[edit]
[-] systemd-cgls
[edit]
[-] satyr
[edit]
[-] ssh
[edit]
[-] systemd-cgtop
[edit]
[-] pkaction
[edit]
[-] sadf
[edit]
[-] systemd-coredumpctl
[edit]
[-] pkcheck
[edit]
[-] sar
[edit]
[-] systemd-delta
[edit]
[-] pkexec
[edit]
[-] ac
[edit]
[-] systemd-detect-virt
[edit]
[-] pkttyagent
[edit]
[-] at
[edit]
[-] systemd-escape
[edit]
[-] pkla-admin-identities
[edit]
[-] systemd-firstboot
[edit]
[-] pkla-check-authorization
[edit]
[-] systemd-hwdb
[edit]
[-] systemd-sysv-convert
[edit]
[-] systemd-inhibit
[edit]
[-] ping6
[edit]
[-] atq
[edit]
[-] systemd-loginctl
[edit]
[-] dbus-monitor
[edit]
[-] nmcli
[edit]
[-] systemd-machine-id-setup
[edit]
[-] tracepath
[edit]
[-] atrm
[edit]
[-] systemd-notify
[edit]
[-] tracepath6
[edit]
[-] man
[edit]
[-] systemd-nspawn
[edit]
[-] ipcalc
[edit]
[-] tmon
[edit]
[-] systemd-path
[edit]
[-] grub2-syslinux2cfg
[edit]
[-] systemd-run
[edit]
[-] dbus-run-session
[edit]
[-] sudo
[edit]
[-] systemd-stdio-bridge
[edit]
[-] usleep
[edit]
[-] dig
[edit]
[-] systemd-tmpfiles
[edit]
[-] mixartloader
[edit]
[-] abrt-cli
[edit]
[-] systemd-tty-ask-password-agent
[edit]
[-] reporter-ureport
[edit]
[-] timedatectl
[edit]
[-] reporter-rhtsupport
[edit]
[-] udevadm
[edit]
[-] dbus-cleanup-sockets
[edit]
[-] report-cli
[edit]
[-] dbus-update-activation-environment
[edit]
[-] grub2-mkpasswd-pbkdf2
[edit]
[-] abrt-action-analyze-xorg
[edit]
[-] abrt-action-notify
[edit]
[-] abrt-action-save-package-data
[edit]
[-] abrt-handle-upload
[edit]
[-] abrt-watch-log
[edit]
[-] abrt-action-analyze-oops
[edit]
[-] abrt-action-save-kernel-data
[edit]
[-] abrt-dump-oops
[edit]
[-] abrt-merge-pstoreoops
[edit]
[-] abrt-action-analyze-vmcore
[edit]
[-] abrt-action-check-oops-for-hw-error
[edit]
[-] abrt-dump-xorg
[edit]
[-] abrt-retrace-client
[edit]
[-] netstat
[edit]
[-] xdg-settings
[edit]
[-] nmtui
[edit]
[-] abrt-action-analyze-python
[edit]
[-] hdsploader
[edit]
[-] setkeycodes
[edit]
[-] usx2yloader
[edit]
[-] setleds
[edit]
[-] vxloader
[edit]
[-] setmetamode
[edit]
[-] bond2team
[edit]
[-] setvtrgb
[edit]
[-] teamd
[edit]
[-] showconsolefont
[edit]
[-] teamdctl
[edit]
[-] showkey
[edit]
[-] plymouth
[edit]
[-] mapscrn
[edit]
[-] host
[edit]
[-] eu-addr2line
[edit]
[-] vlock
[edit]
[-] eu-ar
[edit]
[-] on_ac_power
[edit]
[-] eu-elfcmp
[edit]
[-] loadunimap
[edit]
[-] btt
[edit]
[-] eu-elfcompress
[edit]
[-] pm-is-supported
[edit]
[-] eu-elflint
[edit]
[-] psfaddtable
[edit]
[-] wget
[edit]
[-] eu-findtextrel
[edit]
[-] dumpkeys
[edit]
[-] nmtui-edit
[edit]
[-] eu-make-debug-archive
[edit]
[-] vdodumpconfig
[edit]
[-] eu-nm
[edit]
[-] vdoforcerebuild
[edit]
[-] eu-objdump
[edit]
[-] vdoformat
[edit]
[-] eu-ranlib
[edit]
[-] vdoprepareupgrade
[edit]
[-] eu-readelf
[edit]
[-] vdoreadonly
[edit]
[-] eu-size
[edit]
[-] vdostats
[edit]
[-] eu-stack
[edit]
[-] vimdiff
[edit]
[-] eu-strings
[edit]
[-] vimtutor
[edit]
[-] eu-strip
[edit]
[-] pinfo
[edit]
[-] eu-unstrip
[edit]
[-] xdg-desktop-icon
[edit]
[-] quota
[edit]
[-] abrt-action-analyze-backtrace
[edit]
[-] kbd_mode
[edit]
[-] quotasync
[edit]
[-] abrt-action-analyze-c
[edit]
[-] xdg-desktop-menu
[edit]
[-] cifscreds
[edit]
[-] abrt-action-analyze-ccpp-local
[edit]
[-] loadkeys
[edit]
[-] getcifsacl
[edit]
[-] abrt-action-analyze-core
[edit]
[-] xdg-email
[edit]
[-] firewall-offline-cmd
[edit]
[-] abrt-action-analyze-vulnerability
[edit]
[-] xdg-icon-resource
[edit]
[-] setcifsacl
[edit]
[-] abrt-action-generate-backtrace
[edit]
[-] xdg-mime
[edit]
[-] setup
[edit]
[-] abrt-action-generate-core-backtrace
[edit]
[-] xdg-open
[edit]
[-] firewall-cmd
[edit]
[-] abrt-action-install-debuginfo
[edit]
[-] setfont
[edit]
[-] ssh-agent
[edit]
[-] abrt-action-list-dsos
[edit]
[-] xdg-screensaver
[edit]
[-] slogin
[edit]
[-] abrt-action-perform-ccpp-analysis
[edit]
[-] unicode_start
[edit]
[-] bc
[edit]
[-] abrt-action-trim-files
[edit]
[-] openvt
[edit]
[-] dc
[edit]
[-] consolehelper
[edit]
[-] unicode_stop
[edit]
[-] ssh-add
[edit]
[-] gdk-pixbuf-query-loaders-64
[edit]
[-] deallocvt
[edit]
[-] ssh-copy-id
[edit]
[-] gdk-pixbuf-thumbnailer
[edit]
[-] psfgettable
[edit]
[-] zip
[edit]
[-] fprintd-delete
[edit]
[-] psfstriptable
[edit]
[-] fprintd-enroll
[edit]
[-] psfxtable
[edit]
[-] csh
[edit]
[-] fprintd-list
[edit]
[-] rsyslog-recover-qi.pl
[edit]
[-] fprintd-verify
[edit]
[-] resizecons
[edit]
[-] tcsh
[edit]
[-] desktop-file-edit
[edit]
[-] fgconsole
[edit]
[-] ssh-keyscan
[edit]
[-] desktop-file-install
[edit]
[-] getkeycodes
[edit]
[-] lsusb
[edit]
[-] desktop-file-validate
[edit]
[-] kbdinfo
[edit]
[-] lsusb.py
[edit]
[-] update-desktop-database
[edit]
[-] nmtui-connect
[edit]
[-] kbdrate
[edit]
[-] usb-devices
[edit]
[-] nsupdate
[edit]
[-] nano
[edit]
[-] nmtui-hostname
[edit]
[-] scsi_temperature
[edit]
[-] usbhid-dump
[edit]
[-] sg_compare_and_write
[edit]
[-] cifsiostat
[edit]
[-] sg_copy_results
[edit]
[-] iostat
[edit]
[-] sg_decode_sense
[edit]
[-] mpstat
[edit]
[-] blkiomon
[edit]
[-] time
[edit]
[-] nfsiostat-sysstat
[edit]
[-] sg_emc_trespass
[edit]
[-] pidstat
[edit]
[-] sg_get_lba_status
[edit]
[-] tapestat
[edit]
[-] sg_format
[edit]
[-] locate
[edit]
[-] sg_get_config
[edit]
[-] updatedb
[edit]
[-] sg_inq
[edit]
[-] aulast
[edit]
[-] sg_ident
[edit]
[-] aulastlog
[edit]
[-] sg_logs
[edit]
[-] ausyscall
[edit]
[-] sg_luns
[edit]
[-] auvirt
[edit]
[-] blkparse
[edit]
[-] ed
[edit]
[-] fc-conflist
[edit]
[-] blkrawverify
[edit]
[-] red
[edit]
[-] fc-list
[edit]
[-] blktrace
[edit]
[-] scl
[edit]
[-] fc-cache
[edit]
[-] fc-cache-64
[edit]
[-] fc-cat
[edit]
[-] fc-match
[edit]
[-] sg_map
[edit]
[-] lastcomm
[edit]
[-] bno_plot.py
[edit]
[-] delv
[edit]
[-] reporter-mailx
[edit]
[-] sg_map26
[edit]
[-] rsync
[edit]
[-] sg_modes
[edit]
[-] batch
[edit]
[-] sg_opcodes
[edit]
[-] rngtest
[edit]
[-] sg_persist
[edit]
[-] chronyc
[edit]
[-] sg_prevent
[edit]
[-] stap-merge
[edit]
[-] sg_raw
[edit]
[-] stap-report
[edit]
[-] sg_rbuf
[edit]
[-] stapdyn
[edit]
[-] sg_rdac
[edit]
[-] staprun
[edit]
[-] sg_read
[edit]
[-] stapsh
[edit]
[-] sg_read_buffer
[edit]
[-] apropos
[edit]
[-] sg_read_block_limits
[edit]
[-] catman
[edit]
[-] sg_read_long
[edit]
[-] lexgrog
[edit]
[-] sg_reassign
[edit]
[-] mandb
[edit]
[-] sg_readcap
[edit]
[-] manpath
[edit]
[-] sg_reset
[edit]
[-] whatis
[edit]
[-] btrace
[edit]
[-] mdig
[edit]
[-] debuginfo-install
[edit]
[-] sudoreplay
[edit]
[-] sg_sync
[edit]
[-] find-repos-of-install
[edit]
[-] btrecord
[edit]
[-] cpp
[edit]
[-] needs-restarting
[edit]
[-] btreplay
[edit]
[-] c89
[edit]
[-] package-cleanup
[edit]
[-] sg_referrals
[edit]
[-] repo-graph
[edit]
[-] sg_requests
[edit]
[-] repo-rss
[edit]
[-] sg_rmsn
[edit]
[-] repoclosure
[edit]
[-] sg_rtpg
[edit]
[-] repodiff
[edit]
[-] sg_safte
[edit]
[-] repomanage
[edit]
[-] sg_sanitize
[edit]
[-] repoquery
[edit]
[-] sg_sat_phy_event
[edit]
[-] reposync
[edit]
[-] sg_sat_identify
[edit]
[-] repotrack
[edit]
[-] verify_blkparse
[edit]
[-] show-changed-rco
[edit]
[-] rescan-scsi-bus.sh
[edit]
[-] show-installed
[edit]
[-] sg_sat_set_features
[edit]
[-] verifytree
[edit]
[-] scsi-rescan
[edit]
[-] c99
[edit]
[-] yum-builddep
[edit]
[-] scsi_logging_level
[edit]
[-] yum-config-manager
[edit]
[-] scsi_mandat
[edit]
[-] cc
[edit]
[-] yum-debug-dump
[edit]
[-] scsi_readcap
[edit]
[-] gcov
[edit]
[-] yum-debug-restore
[edit]
[-] scsi_ready
[edit]
[-] gcc
[edit]
[-] yum-groups-manager
[edit]
[-] scsi_satl
[edit]
[-] php
[edit]
[-] yumdownloader
[edit]
[-] scsi_start
[edit]
[-] ab
[edit]
[-] centrino-decode
[edit]
[-] sg_senddiag
[edit]
[-] cpupower
[edit]
[-] scsi_stop
[edit]
[-] m4
[edit]
[-] powernow-k8-decode
[edit]
[-] sg_scan
[edit]
[-] turbostat
[edit]
[-] nslookup
[edit]
[-] sg_turs
[edit]
[-] x86_energy_perf_policy
[edit]
[-] sg_ses
[edit]
[-] chattr
[edit]
[-] sg_start
[edit]
[-] lsattr
[edit]
[-] sg_stpg
[edit]
[-] sudoedit
[edit]
[-] sg_test_rwbuf
[edit]
[-] sg_dd
[edit]
[-] js
[edit]
[-] zipmerge
[edit]
[-] sg_unmap
[edit]
[-] ziptorrent
[edit]
[-] sg_verify
[edit]
[-] xsltproc
[edit]
[-] sg_vpd
[edit]
[-] patch
[edit]
[-] sg_wr_mode
[edit]
[-] gcc-nm
[edit]
[-] git
[edit]
[-] sg_write_buffer
[edit]
[-] gcc-ranlib
[edit]
[-] uapi
[edit]
[-] sg_write_long
[edit]
[-] easy_install
[edit]
[-] ptar
[edit]
[-] sg_write_same
[edit]
[-] lsphp
[edit]
[-] sg_xcopy
[edit]
[-] ea-php74
[edit]
[-] sginfo
[edit]
[-] ea-php80
[edit]
[-] sgm_dd
[edit]
[-] htdbm
[edit]
[-] sgp_dd
[edit]
[-] htdigest
[edit]
[-] zipcloak
[edit]
[-] htpasswd
[edit]
[-] zipnote
[edit]
[-] httxt2dbm
[edit]
[-] zipsplit
[edit]
[-] logresolve
[edit]
[-] funzip
[edit]
[-] prove
[edit]
[-] unzipsfx
[edit]
[-] autoconf
[edit]
[-] zipgrep
[edit]
[-] autom4te
[edit]
[-] autoheader
[edit]
[-] unzip
[edit]
[-] zipinfo
[edit]
[-] autoreconf
[edit]
[-] rnano
[edit]
[-] autoscan
[edit]
[-] rdate
[edit]
[-] autoupdate
[edit]
[-] strace
[edit]
[-] x86_64-redhat-linux-gcc
[edit]
[-] strace-log-merge
[edit]
[-] ifnames
[edit]
[-] scl_enabled
[edit]
[-] aclocal
[edit]
[-] scl_source
[edit]
[-] ea-php80-pear
[edit]
[-] setserial
[edit]
[-] easy_install-2.7
[edit]
[-] tcptraceroute
[edit]
[-] aclocal-1.13
[edit]
[-] traceroute
[edit]
[-] automake
[edit]
[-] traceroute6
[edit]
[-] automake-1.13
[edit]
[-] newgidmap
[edit]
[-] ea-php80-pecl
[edit]
[-] newuidmap
[edit]
[-] annotate
[edit]
[-] h2xs
[edit]
[-] nss-policy-check
[edit]
[-] ea-php74-pear
[edit]
[-] nettle-hash
[edit]
[-] bdftogd
[edit]
[-] wish
[edit]
[-] nettle-lfib-stream
[edit]
[-] ea-php74-pecl
[edit]
[-] pkcs1-conv
[edit]
[-] elinks
[edit]
[-] sexp-conv
[edit]
[-] links
[edit]
[-] vdo-by-dev
[edit]
[-] mysqlbinlog
[edit]
[-] vdodmeventd
[edit]
[-] gd2copypal
[edit]
[-] GET
[edit]
[-] page_owner_sort
[edit]
[-] mysql
[edit]
[-] slabinfo
[edit]
[-] mysql_config_editor
[edit]
[-] cvtsudoers
[edit]
[-] mysqladmin
[edit]
[-] stapbpf
[edit]
[-] killall
[edit]
[-] peekfd
[edit]
[-] prtstat
[edit]
[-] pstree
[edit]
[-] pstree.x11
[edit]
[-] fc-pattern
[edit]
[-] fc-query
[edit]
[-] fc-scan
[edit]
[-] fc-validate
[edit]
[-] checkmodule
[edit]
[-] checkpolicy
[edit]
[-] sedismod
[edit]
[-] sedispol
[edit]
[-] gd2togif
[edit]
[-] HEAD
[edit]
[-] db47_archive
[edit]
[-] gd2topng
[edit]
[-] POST
[edit]
[-] db47_checkpoint
[edit]
[-] gdcmpgif
[edit]
[-] cpan
[edit]
[-] db47_codegen
[edit]
[-] gdparttopng
[edit]
[-] cxpm
[edit]
[-] db47_deadlock
[edit]
[-] mysqlcheck
[edit]
[-] db47_dump
[edit]
[-] gdtopng
[edit]
[-] sxpm
[edit]
[-] db47_hotbackup
[edit]
[-] mysqldump
[edit]
[-] db47_load
[edit]
[-] giftogd2
[edit]
[-] xrdb
[edit]
[-] db47_printlog
[edit]
[-] pngtogd
[edit]
[-] xset
[edit]
[-] db47_recover
[edit]
[-] mysqlimport
[edit]
[-] db47_stat
[edit]
[-] pngtogd2
[edit]
[-] gs
[edit]
[-] db47_upgrade
[edit]
[-] mysqlpump
[edit]
[-] db47_verify
[edit]
[-] mysqlshow
[edit]
[-] audit2allow
[edit]
[-] mysqlslap
[edit]
[-] audit2why
[edit]
[-] lz4_decompress
[edit]
[-] chcat
[edit]
[-] innochecksum
[edit]
[-] sandbox
[edit]
[-] webpng
[edit]
[-] gsbj
[edit]
[-] semodule_package
[edit]
[-] my_print_defaults
[edit]
[-] arpaname
[edit]
[-] zipcmp
[edit]
[-] gsdj
[edit]
[-] named-rrchecker
[edit]
[-] gcc-ar
[edit]
[-] myisamchk
[edit]
[-] xgamma
[edit]
[-] c++
[edit]
[-] myisam_ftdump
[edit]
[-] cairo-sphinx
[edit]
[-] myisamlog
[edit]
[-] pcre-config
[edit]
[-] myisampack
[edit]
[-] xhost
[edit]
[-] g++
[edit]
[-] mysql_install_db
[edit]
[-] xinput
[edit]
[-] 2to3
[edit]
[-] mysql_plugin
[edit]
[-] pygettext.py
[edit]
[-] idle
[edit]
[-] mysql_secure_installation
[edit]
[-] xkill
[edit]
[-] flex
[edit]
[-] mysql_ssl_rsa_setup
[edit]
[-] xmodmap
[edit]
[-] lex
[edit]
[-] mysql_tzinfo_to_sql
[edit]
[-] xrandr
[edit]
[-] ftp
[edit]
[-] mysql_upgrade
[edit]
[-] xrefresh
[edit]
[-] pftp
[edit]
[-] mysqld_pre_systemd
[edit]
[-] xsetmode
[edit]
[-] dpkg
[edit]
[-] mysqldumpslow
[edit]
[-] gr2fonttest
[edit]
[-] perror
[edit]
[-] pango-list
[edit]
[-] replace
[edit]
[-] xsetpointer
[edit]
[-] resolve_stack_dump
[edit]
[-] pango-view
[edit]
[-] resolveip
[edit]
[-] xsetroot
[edit]
[-] zlib_decompress
[edit]
[-] xstdcmap
[edit]
[-] mysql_config
[edit]
[-] bdftopcf
[edit]
[-] mysql_config-64
[edit]
[-] paperconf
[edit]
[-] doveadm
[edit]
[-] gpg-error-config
[edit]
[-] doveconf
[edit]
[-] bdftruncate
[edit]
[-] dovecot-sysreport
[edit]
[-] dumpsexp
[edit]
[-] dsync
[edit]
[-] git-receive-pack
[edit]
[-] git-shell
[edit]
[-] git-upload-archive
[edit]
[-] git-upload-pack
[edit]
[-] hmac256
[edit]
[-] perlml
[edit]
[-] fonttosfnt
[edit]
[-] pdns_control
[edit]
[-] libgcrypt-config
[edit]
[-] pdnsutil
[edit]
[-] gss-client
[edit]
[-] zone2json
[edit]
[-] krb5-config
[edit]
[-] zone2sql
[edit]
[-] cpapi1
[edit]
[-] cpapi2
[edit]
[-] cpapi3
[edit]
[-] sim_client
[edit]
[-] corelist
[edit]
[-] uuclient
[edit]
[-] podselect
[edit]
[-] autopoint
[edit]
[-] shasum
[edit]
[-] gettextize
[edit]
[-] json_pp
[edit]
[-] python-config
[edit]
[-] zipdetails
[edit]
[-] python2-config
[edit]
[-] ptardiff
[edit]
[-] python2.7-config
[edit]
[-] ptargrep
[edit]
[-] xslt-config
[edit]
[-] podchecker
[edit]
[-] bind9-config
[edit]
[-] pod2latex
[edit]
[-] isc-config.sh
[edit]
[-] dbilogstrip
[edit]
[-] gdlib-config
[edit]
[-] dbiprof
[edit]
[-] dvipdf
[edit]
[-] dbiproxy
[edit]
[-] eps2eps
[edit]
[-] dtrace
[edit]
[-] ghostscript
[edit]
[-] instmodsh
[edit]
[-] gsdj500
[edit]
[-] xsubpp
[edit]
[-] gslj
[edit]
[-] libnetcfg
[edit]
[-] gslp
[edit]
[-] perlivp
[edit]
[-] gsnd
[edit]
[-] config_data
[edit]
[-] lprsetup.sh
[edit]
[-] cpan2dist
[edit]
[-] pdf2dsc
[edit]
[-] cpanp
[edit]
[-] mkfontdir
[edit]
[-] cpanp-run-perl
[edit]
[-] mkfontscale
[edit]
[-] lwp-download
[edit]
[-] pdf2ps
[edit]
[-] lwp-dump
[edit]
[-] pf2afm
[edit]
[-] lwp-mirror
[edit]
[-] pfbtopfa
[edit]
[-] lwp-request
[edit]
[-] cpan-mirrors
[edit]
[-] pphs
[edit]
[-] tclsh
[edit]
[-] printafm
[edit]
[-] tclsh8.5
[edit]
[-] ucs2any
[edit]
[-] libpng-config
[edit]
[-] xorg-x11-fonts-update-dirs
[edit]
[-] libpng15-config
[edit]
[-] xml2-config
[edit]
[-] freetype-config
[edit]
[-] ps2ascii
[edit]
[-] wish8.5
[edit]
[-] ps2epsi
[edit]
[-] compile_et
[edit]
[-] ps2pdf
[edit]
[-] iceauth
[edit]
[-] ps2pdf12
[edit]
[-] sessreg
[edit]
[-] ps2pdf13
[edit]
[-] showrgb
[edit]
[-] fribidi
[edit]
[-] pango-querymodules-64
[edit]
[-] ps2pdf14
[edit]
[-] ps2pdfwr
[edit]
[-] ps2ps
[edit]
[-] ps2ps2
[edit]
[-] unix-lpr.sh
[edit]
[-] animate
[edit]
[-] compare
[edit]
[-] composite
[edit]
[-] conjure
[edit]
[-] convert
[edit]
[-] display
[edit]
[-] identify
[edit]
[-] import
[edit]
[-] mogrify
[edit]
[-] montage
[edit]
[-] stream
[edit]
[-] libwmf-fontmap
[edit]
[-] wmf2eps
[edit]
[-] wmf2fig
[edit]
[-] wmf2gd
[edit]
[-] wmf2svg
[edit]
[-] wmf2x
[edit]
[-] dpkg-trigger
[edit]
[-] x86_64-redhat-linux-c++
[edit]
[-] x86_64-redhat-linux-g++
[edit]
[-] msgfmt.py
[edit]
[-] pynche
[edit]
[-] smtpd.py
[edit]
[-] bison
[edit]
[-] flex++
[edit]
[-] libtool
[edit]
[-] libtoolize
[edit]
[-] ncurses5-config
[edit]
[-] ncursesw5-config
[edit]
[-] Magick-config
[edit]
[-] MagickCore-config
[edit]
[-] MagickWand-config
[edit]
[-] Wand-config
[edit]
[-] pure-pw
[edit]
[-] pure-pwconvert
[edit]
[-] pure-statsdecode
[edit]
[-] telnet
[edit]
[-] ea-php55
[edit]
[-] ea-php54
[edit]
[-] ea-php56
[edit]
[-] ea-php70
[edit]
[-] ea-php72
[edit]
[-] ea-php73
[edit]
[-] ea-php71
[edit]
[-] aspell
[edit]
[-] ispell
[edit]
[-] precat
[edit]
[-] preunzip
[edit]
[-] prezip
[edit]
[-] prezip-bin
[edit]
[-] run-with-aspell
[edit]
[-] spell
[edit]
[-] word-list-compress
[edit]
[-] ea-php81
[edit]
[-] ea-php81-pear
[edit]
[-] ea-php81-pecl
[edit]
[-] growpart
[edit]
[-] ea-php82
[edit]
[-] ea-php83
[edit]
[-] ea-php83-pear
[edit]
[-] ea-php83-pecl
[edit]
[-] ea-php82-pear
[edit]
[-] ea-php82-pecl
[edit]
[-] ea-wappspector
[edit]
[-] webmail_rui
[edit]
[-] ea6354dftcp
[edit]
[-] .gs-login.sh
[edit]
[-] defunct.quarantine
[edit]
[-] .gs-login.dat.quarantine
[edit]
[-] json_xs
[edit]
[-] dpkg-deb
[edit]
[-] dpkg-divert
[edit]
[-] dpkg-maintscript-helper
[edit]
[-] dpkg-query
[edit]
[-] dpkg-split
[edit]
[-] dpkg-statoverride
[edit]